%define module Glib

Summary: Perl module for the glib-2.x library
Name:    perl-%module
Version: 1.140
Release: %mkrel 1
License: GPL or Artistic
Group:   Development/GNOME and GTK+
# https://sourceforge.net/project/showfiles.php?group_id=64773&package_id=91217
Source:  http://prdownloads.sourceforge.net/gtk2-perl/%module-%version.tar.bz2
# BUG: we do not hanble exceptions out of Gtk2->main loop
# we should just horribly die in that case
Patch0: Glib-1.021-exception-trapping.patch.bz2
URL: http://gtk2-perl.sf.net/
BuildRequires: glib2-devel >= 2.6.0
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils-Depends >= 0.202 perl-ExtUtils-PkgConfig
Conflicts: perl-Gtk2 <= 1
Requires: glib2 => 2.6.3
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module provides perl access to Glib and GLib's GObject libraries.
It is mainly used by perl-GTK2 applications.

Glib is a handy library of portability and utility functions. This C library
is designed to solve some portability problems and provide other useful
functionality which most programs require.

GObject provides a generic type system with inheritance and a powerful signal
system.

Together these libraries are used as the foundation for many of the libraries
that make up the Gnome environment, and are used in many unrelated
projects.


%prep
%setup -q -n %module-%version
%patch0 -p0 -b .ex
find -type d -name CVS | rm -rf 


%build

perl Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc AUTHORS LICENSE
%{_mandir}/*/*
%{perl_vendorarch}/%module/
%{perl_vendorarch}/%module.pm
%{perl_vendorarch}/auto/*


%changelog
* Tue Sep 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.140-1mdv2007.0
- new release

* Thu Aug 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.132-1mdv2007.0
- new release

* Tue Jul 25 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.131-1mdv2007.0
- new release

* Thu Mar 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.120-1mdk
- new release

* Wed Mar 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.117-1mdk
- new release

* Tue Feb 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.116-1mdk
- new release

* Tue Jan 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.115-1mdk
- new release

* Tue Jan 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.114-1mdk
- new release
- drop patch 0 (merged upstream)

* Wed Jan 11 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.113-2mdk
- Patch1: avoid nasty pointer to int cast on x86_64

* Tue Jan 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.113-1mdk
- new release

* Tue Nov 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.111-1mdk
- new release

* Wed Oct 12 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.101-1mdk
- New release 1.101

* Sat Oct 01 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.100-1mdk
- new release

* Thu Jun 23 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.082-1mdk
- new release

* Fri Apr 15 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.081-1mdk
- new release

* Tue Mar 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.080-1mdk
- new stable release

* Tue Mar 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.074-1mdk
- new release

* Tue Feb 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.073-1mdk
- new release

* Mon Jan 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.072-1mdk
- new release

* Thu Dec 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.071-2mdk
- rebuild for new glib

* Tue Nov 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.071-1mdk
- new release

* Fri Nov 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.070-2mdk
- Rebuild for new perl

* Wed Nov 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.070-1mdk
- new release

* Mon Aug 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.054-1mdk
- new release

* Mon Aug 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.053-1mdk
- new release

* Mon Jul 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.052-1mdk
- new release

* Tue Jun 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.051-1mdk
- new release

* Thu Jun 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.050-1mdk
- new release

* Wed May 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.042-2mdk
- bump requires

* Tue Apr 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.042-1mdk
- new release

* Fri Apr 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.041-1mdk
- new release

* Fri Apr 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.040-2mdk
- link with glib-2.4.x

* Wed Mar  24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.040-1mdk
- new release

* Fri Feb 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.021-3mdk
- patch 1: do not clobber $_ when ignoring an exception

* Sat Jan 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.021-2mdk
- disable debug build

* Fri Jan 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.021-1mdk
- new release
- rediff patch 0

* Wed Jan 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.020-3mdk
- patch 0: keep errsv upon successfull callbacks

* Sat Jan 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.020-2mdk
- fix patch 0 lost because of not rediffing patch before --short-circuit build
  SRPMS :-(

* Fri Dec 12 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.020-1mdk
- new release
- rediff patch 0

* Thu Oct 30 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.00-1mdk
- new release
- rediff patch 0

* Sun Sep 14 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.95-3mdk
- when doing exception trapping, we G_EVAL the callback, this erases
  any already set ERRSV, which is bad if perl program is a eval'ed
  block which was counting on the exception mechanism (especially
  true for windows destructions occuring from within ugtk2.pm since
  we set a callback on the destroy signal); so, save it previously,
  in case no exception occurs in callback we can restore it

* Sun Aug 24 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-2mdk
- patch 0: introduce infrastructure to enable perl-Gtk2 to properly handle perl
  exceptions

* Fri Aug 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-1mdk
- new release

* Mon Aug 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.94-1mdk
- new release

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.90-2mdk
- rebuild for new perl
- use %%makeinstall_std macro
- use %%make macro

* Fri Jul 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.90-1mdk
- new release
- remove patch 0 (merged upstream)

* Mon Jul 14 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.04.1-4mdk
- add some docs

* Wed Jul 09 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.04.1-3mdk
- patch 3: put a better fix for bootstrapping faillures

* Wed Jul 09 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.04.1-2mdk
- patch 0: fix DynaLoader failling to bootstrap Glib due to l10n problem

* Mon Jul 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.04.1-1mdk
- Glib-0.26: refcount on gchar
- remove patch 0 (merged upstream)

* Fri Jul 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.07.04.1-2mdk
- fix description
- fix summary

* Fri Jul 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.07.04.1-1mdk
- initial release
